RuntimeExceptionWrapper (Oracle - Berkeley DB Java API)
Keywords: com.sleepycat.util.RuntimeExceptionWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.7.25
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.util
Class RuntimeExceptionWrapper

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.util.RuntimeExceptionWrapper

All Implemented Interfaces:
  ExceptionWrapper, Serializable

    public class RuntimeExceptionWrapper

extends RuntimeException
implements ExceptionWrapper

A RuntimeException that can contain nested exceptions.

See Also:
  Serialized Form

Constructor Summary
`RuntimeExceptionWrapper(Throwable e)`

Method Summary
`Throwable` | `getCause()` Returns the nested exception or null if none is present.
`Throwable` | `getDetail()` Deprecated. replaced by `getCause()`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeExceptionWrapper

    public RuntimeExceptionWrapper(Throwable e)

Method Detail

### getDetail

    public Throwable getDetail()

  Deprecated. replaced by `getCause()`.

  Description copied from interface: `ExceptionWrapper`
  Returns the nested exception or null if none is present.

  Specified by:
    `getDetail` in interface `ExceptionWrapper`
  Returns:
    the nested exception or null if none is present.

### getCause

    public Throwable getCause()

  Description copied from interface: `ExceptionWrapper`
  Returns the nested exception or null if none is present.

  This method is intentionally defined to be the same signature as the `java.lang.Throwable.getCause` method in Java 1.4 and greater. By defining this method to return a nested exception, the Java 1.4 runtime will print the nested stack trace.

  Specified by:
    `getCause` in interface `ExceptionWrapper`
  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the nested exception or null if none is present.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.7.25
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2008 Oracle. All rights reserved.